package geometry;


public class BBox {

	public Point bl = null;
	public Point tr = null;

	// BBox(bl, tr)
	//   bl: Point = bottom left corner of bounding box
	//   tr: Point = top left corner of bounding box
	// creates bounding box with given dimensions
	public BBox(Point _bl, Point _tr)
	{
		bl = new Point(_bl);
		tr = new Point(_tr);
	}

	@Override
	public String toString()
	{
		String rep = "BBox { bl";
		rep += bl.toString() + " tr";
		rep += tr.toString();
		rep += " }";
		return rep;
	}

	public void print()
	{
		System.out.println(toString());
	}
}
